UbuntuUpdates.org

Package "python-pip"


Moved to focal:universe:updates


Name: python-pip

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • Python package installer
  • Python package installer

Latest version: *DELETED*
Release: focal (20.04)
Level: proposed
Repository: universe

Links



Other versions of "python-pip" in Focal

Repository Area Version
base universe 20.0.2-5ubuntu1
security universe 20.0.2-5ubuntu1.5
updates universe 20.0.2-5ubuntu1.5

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: *DELETED* 2021-05-12 23:06:24 UTC
Moved to focal:universe:updates
No changelog for deleted or moved packages.

Version: 20.0.2-5ubuntu1.4 2021-05-10 13:07:19 UTC

  python-pip (20.0.2-5ubuntu1.4) focal; urgency=medium

  * Look for pip config /etc (LP: #1914239)
  * Provide the pip binary again (LP: #1927865)

 -- Stefano Rivera <email address hidden> Sun, 09 May 2021 12:50:53 -0400

1914239 ubuntu-20.04 pip3 ignores /etc/pip.conf
1927865 Ubuntu 20.04 missing pip binary

Version: *DELETED* 2021-04-28 11:09:13 UTC
Moved to focal:universe:updates
No changelog for deleted or moved packages.

Version: 20.0.2-5ubuntu1.3 2021-03-01 17:06:16 UTC

  python-pip (20.0.2-5ubuntu1.3) focal; urgency=medium

  * Add Breaks: python3-virtualenv (<< 20.0.17-1ubuntu0.3) to python-pip-whl,
    which bumps the seed-app-data version. Our LP: #1880749 change broke
    existing seed-app-data caches.

Source diff to previous version
1880749 Ubuntu 20.04: virtualenv: pep517 requires toml, but it isn't bundled in venvs

Version: 20.0.2-5ubuntu1.2 2021-02-09 13:06:20 UTC

  python-pip (20.0.2-5ubuntu1.2) focal; urgency=medium

  * Switch from vendoring pytoml to toml, following pep517's dependency.
    (LP: #1880749)
  * Use sys.base_prefix instead of sys.prefix in debundle.patch. Back-ported
    from 20.1-1 to allow virtualenvs to avoid needing to install pip's
    dependencies in new venvs. (LP: #1904945)

 -- Stefano Rivera <email address hidden> Mon, 25 Jan 2021 22:36:55 -0700

1880749 Ubuntu 20.04: virtualenv: pep517 requires toml, but it isn't bundled in venvs
1904945 New virtualenvs contain unwanted libraries



About   -   Send Feedback to @ubuntu_updates